%define major		25
%define libname		%mklibname dc1394_ %{major}
%define develname	%mklibname dc1394 -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394
Version: 	2.2.6
Release: 	%mkrel 2
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:		libdc1394-2.2.0-fix-linking.patch
Patch1:		libdc1394-2.1.2-videodev.h.patch
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xv)
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libv4l1)
Requires: 	libraw1394 kernel

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/C
Requires: 	%{libname} = %{version}-%{release}
%if "%{_lib}" != "lib"
Provides: 	libdc1394-devel = %{version}-%{release}
%endif
Provides: 	dc1394-devel = %{version}-%{release}

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q
%autopatch -p0

%build
%configure --disable-static
%make_build

%install
%make_install

find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/dc1394_reset_bus
%{_includedir}/dc1394
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*.1*


%changelog
* Sat Feb 15 2020 umeabot <umeabot> 2.2.6-2.mga8
+ Revision: 1526886
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 05 2019 daviddavid <daviddavid> 2.2.6-1.mga8
+ Revision: 1418731
- new version: 2.2.6
- now libmajor is 25

* Sun Sep 23 2018 umeabot <umeabot> 2.2.5-3.mga7
+ Revision: 1298800
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Fri Mar 10 2017 akien <akien> 2.2.5-2.mga6
+ Revision: 1091623
- Rebuild for v4l-utils 1.12.3

* Sun Jan 01 2017 luigiwalser <luigiwalser> 2.2.5-1.mga6
+ Revision: 1078964
- 2.2.5

* Mon May 09 2016 luigiwalser <luigiwalser> 2.2.4-1.mga6
+ Revision: 1011441
- 2.2.4

* Mon Feb 01 2016 umeabot <umeabot> 2.2.3-3.mga6
+ Revision: 930776
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2.3-2.mga5
+ Revision: 741535
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 luigiwalser <luigiwalser> 2.2.3-1.mga5
+ Revision: 738688
- 2.2.3

* Tue Sep 16 2014 umeabot <umeabot> 2.2.2-3.mga5
+ Revision: 681404
- Mageia 5 Mass Rebuild

* Sat Jul 05 2014 tv <tv> 2.2.2-2.mga5
+ Revision: 643467
- switch to pkgconfig() style BRs

* Wed Mar 12 2014 luigiwalser <luigiwalser> 2.2.2-1.mga5
+ Revision: 602690
- 2.2.2

* Sat Oct 19 2013 umeabot <umeabot> 2.2.1-2.mga4
+ Revision: 528592
- Mageia 4 Mass Rebuild

* Mon Jun 24 2013 luigiwalser <luigiwalser> 2.2.1-1.mga4
+ Revision: 446237
- 2.2.1

* Sat Jan 12 2013 umeabot <umeabot> 2.2.0-2.mga3
+ Revision: 356957
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 19 2012 luigiwalser <luigiwalser> 2.2.0-1.mga3
+ Revision: 282361
- 2.2.0
- rediff patch 0 (linking to pthread)

* Sun Jan 22 2012 fwang <fwang> 2.1.4-1.mga2
+ Revision: 199371
- new version 2.1.4

* Tue Sep 13 2011 fwang <fwang> 2.1.3-2.mga2
+ Revision: 142905
- drop .la files

* Mon Jun 20 2011 tv <tv> 2.1.3-1.mga2
+ Revision: 110711
- new release
- BuildRequires: libv4l-devel

* Thu Apr 21 2011 rtp <rtp> 2.1.2-7.mga1
+ Revision: 89407
- disable v4l1 application to fix build failure
+ ahmad <ahmad>
- drop old/uneeded scriptlets
- replace X11-devel with libx11-devel libxv-devel libsm-devel
- drop old kernel versionated requires
- imported package libdc1394


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-5mdv2011.0
+ Revision: 602535
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.2-4mdv2010.1
+ Revision: 520762
- rebuilt for 2010.1

* Tue Sep 22 2009 Thierry Vignaud <tv@mandriva.org> 2.1.2-3mdv2010.0
+ Revision: 447448
- use libusb1

  + Götz Waschk <waschk@mandriva.org>
    - don't obsolete old devel package

* Tue Sep 22 2009 Götz Waschk <waschk@mandriva.org> 2.1.2-1mdv2010.0
+ Revision: 447424
- patch to fix build
- new version
- update source URL
- fix build

* Tue Sep 01 2009 Christophe Fergeau <cfergeau@mandriva.com> 2.0.3-3mdv2010.0
+ Revision: 423702
- rebuild

  + Emmanuel Andry <eandry@mandriva.org>
    - New version
    - drop patches
    - new major
    - protect major
    - enable parallel build
    - update file list

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-6mdv2009.0
+ Revision: 222533
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.2.1-5mdv2008.1
+ Revision: 150549
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Aug 31 2007 Oden Eriksson <oeriksson@mandriva.com> 1.2.1-4mdv2008.0
+ Revision: 76780
- new devel naming
- reconstruct the autofoo toolchain


* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.0
+ Revision: 120708
- Import libdc1394

* Wed Feb 14 2007 Götz Waschk <waschk@mandriva.org> 1.2.1-3mdv2007.1
- use the right configure macro
- unpack patch
- additional devel provides

* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.com> 1.2.1-2mdv2007.0
- disable // build

* Sun Jul 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.2.1-1mdv2007.0
- 1.2.1
- new major
- replace deprecated CLK_TCK with CLOCKS_PER_SEC (P1)
- remove COPYING & INSTALL from %%doc

* Tue Dec 27 2005 Stefan van der Eijk <stefan@eijk.nu> 1.1.0-1mdk
- 1.1.0
- %%mkrel

* Sun Jan 30 2005 Austin Acton <austin@mandrake.org> 1.0.0-2mdk
- rebuild for libraw1394

* Fri Nov 12 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-1mdk
- 1.0.0
- new major (old one incorrect btw.?)

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.5-2mdk
- lib64 fixes

* Thu Jul 15 2004 Nicolas Planel <nplanel@mandrakesoft.com> 0.9.5-1mdk
- 0.9.5
- fix bad char in Requires.

* Sun Jun 20 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.4-1mdk
- 0.9.4

